Time
Update overtime request
Path Parameters
id*integer
Format
int64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/public/v3/time/overtime_requests/0" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": 0, "date": "string", "starts_at": "2019-08-24T14:15:22Z", "ends_at": "2019-08-24T14:15:22Z", "minutes": 0, "comment": "string", "state": "string", "project": { "id": 0, "name": "string" }, "employee": { "id": 0, "first_name": "string", "last_name": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }}